Package com.independentsoft.office.odf

# Enum Class SectionDisplayType

java.lang.Object
java.lang.Enum<SectionDisplayType>
com.independentsoft.office.odf.SectionDisplayType

All Implemented Interfaces:
  `Serializable`, `Comparable<SectionDisplayType>`, `Constable`

public enum SectionDisplayType extends Enum<SectionDisplayType>
Represents whether the section is hidden.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONDITION`
  The section is hidden unconditionally.
  `FALSE`
  The section is hidden under the condition specified in the text:condition attribute.
  `TRUE`
  The section is displayed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SectionDisplayType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SectionDisplayType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TRUE

    public static final SectionDisplayType TRUE
    The section is displayed. This is the default setting.

  - ### FALSE

    public static final SectionDisplayType FALSE
    The section is hidden under the condition specified in the text:condition attribute.

  - ### CONDITION

    public static final SectionDisplayType CONDITION
    The section is hidden unconditionally.

- ## Method Details

  - ### values

    public static SectionDisplayType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SectionDisplayType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null